Package be.fgov.ehealth.addressbook.core.v1

# Class ProfessionalInformation

java.lang.Object
be.fgov.ehealth.aa.complextype.v1.ProfessionalAddressbookType
be.fgov.ehealth.addressbook.core.v1.ProfessionalInformation

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:18:06+02:00", comments="JAXB RI v4.0.5") public class ProfessionalInformation extends ProfessionalAddressbookType implements Serializable

Java class for anonymous complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:aa:complextype:v1}ProfessionalAddressbookType">
           <sequence>
             <element name="EHealthBox" type="{urn:be:fgov:ehealth:addressbook:core:v1}EHealthBoxType" minOccurs="0"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ProfessionalInformation()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `EHealthBoxType`
  `getEHealthBox()`
  Gets the value of the eHealthBox property.
  `void`
  `setEHealthBox(EHealthBoxType value)`
  Sets the value of the eHealthBox property.

  ### Methods inherited from class be.fgov.ehealth.aa.complextype.v1.ProfessionalAddressbookType

  `getAddresses, getHealthCareAdditionalInformations, getProfession, setProfession`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ProfessionalInformation

    public ProfessionalInformation()

- ## Method Details

  - ### getEHealthBox

    public EHealthBoxType getEHealthBox()
    Gets the value of the eHealthBox property.
    Returns:
      possible object is `EHealthBoxType`

  - ### setEHealthBox

    public void setEHealthBox(EHealthBoxType value)
    Sets the value of the eHealthBox property.
    Parameters:
      `value` - allowed object is `EHealthBoxType`